// file: cdm_cstr_0.cc
//

// isip include files
//
#include "cd_model.h"
#include "cd_model_constants.h"

// method: destructor
//
// arguments: none
//
// return: none
//
// this is the default destructor
//
Cd_model::~Cd_model() {

  // clean up the state indices
  //
  if(num_states_d > 0) {
    delete [] states_ind_d;
    num_states_d = 0;
  }
  
  // delete the phones
  //
  for (int_4 i=0; i<CDM_DEFAULT_PH_SIZE; i++) {
    if (phones_d[i] != (char_1*)NULL) {
      delete [] phones_d[i];
    }
  }
  
  if (phones_d != (char_1**)NULL) { 
    delete [] phones_d;
  }

  yesphy_d = ISIP_FALSE;

  // exit gracefully
  //
}


